org.springframework.util

## Enum ConcurrentReferenceHashMap.ReferenceType

- java.lang.Object
- - java.lang.Enum<ConcurrentReferenceHashMap.ReferenceType>
  - - org.springframework.util.ConcurrentReferenceHashMap.ReferenceType

- All Implemented Interfaces:
    Serializable, Comparable<ConcurrentReferenceHashMap.ReferenceType>
  Enclosing class:
    ConcurrentReferenceHashMap<K,V>

      public static enum ConcurrentReferenceHashMap.ReferenceType
      extends Enum<ConcurrentReferenceHashMap.ReferenceType>

  Various reference types supported by this map.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SOFT` Use `SoftReference`s.
    `WEAK` Use `WeakReference`s.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConcurrentReferenceHashMap.ReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConcurrentReferenceHashMap.ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOFT

          public static final ConcurrentReferenceHashMap.ReferenceType SOFT

      Use `SoftReference`s.

    - #### WEAK

          public static final ConcurrentReferenceHashMap.ReferenceType WEAK

      Use `WeakReference`s.

  - ### Method Detail

    - #### values

          public static ConcurrentReferenceHashMap.ReferenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConcurrentReferenceHashMap.ReferenceType c : ConcurrentReferenceHashMap.ReferenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConcurrentReferenceHashMap.ReferenceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null